Subject: Summer Course Instructors

From: [email-masked]
Date: Sun, 13 Apr 1997 18:41:15 -0400 (EDT)

In my recent announcement for the 1997 Summer Institute in Sustainable Living
and the Game of Eco-Village Permaculture Design Courses, June 5-20, I
inadvertently left Leslie Goldstein, Earthlands Community member, organic
gardner, Permaculture Course graduate and apprentice teacher off  of the list
of the six faculty. For more information on course contact GEO Institute
(603)654-6705, or e-mail [email-masked]. Please excuse my error. Dan Earl